;+
; NAME:
;      cib_cob_sed_oplot
;
; PURPOSE:
;      Oplot CIB measurements and constraints on an existing plot
;
; CATEGORY:
;
;
; CALLING SEQUENCE:
;
;	
; KEYWORD PARAMETERS:
;
;
; OUTPUTS:
;
;
; PROCEDURE:
;
;
;
; EXAMPLE:
;
; 
;
; MODIFICATION HISTORY:
;     19-May-2005 Written Herve Dole IAS from background_tot.scr for ARAA
;     16-Sep-2005 add HESS, IRAC etc.. HD
;     22-Jun-2006 Check for web release HD
;     05-Dec-2006 update for /wave and /freq + new 70+160um points HD
;
;-
PRO cib_cob_sed_oplot, color=color, xmin=xmin, wave=wave, freq=freq, legend=legend

; A FAIRE:
; taille des symboles CIB+COB plus petits si grb etc...

; Commons for plots
;------------------
COMMON plot_ebl, thick_plot, arrow_height, hsize, symsize, thick_symbol
COMMON plot_ebl_path, path_home, path_dat

; SET UP PLOT
;------------
!p.charsize=1.2
charsize = 1.0
charsize_sml = 0.8
;thick_plot = 3.5
thick_plot2 = 8.

IF KEYWORD_SET(color) THEN BEGIN
    LOADCT_PLOT
    red = 1
    green = 2
    blue = 3
    yellow = 4
    purple= 5
ENDIF

IF KEYWORD_SET(png) THEN !p.charsize=2.5


; Position for Plot
;------------------
!p.position=[0.11, 0.11, 0.91, 0.89]

; Positions for Labels
;--------------------
y0 = 6.3e-8
y1 = y0/1.4
y2 = y1/1.8
;y3 = y2/1.4
;y4 = y3/1.8
y3 = y2/1.9
y4 = y3/1.8
y5 = y3/1.4
y6 = y5/1.4
y7 = y6/1.4

y8 = y7/3.
y9 = y8/1.4

y8bis = 6.e-10
y9bis = y8bis/1.4
y9ter = y9bis/1.4

y12 = 3.e-10
y13 = y12/1.4
y10 = y13/1.8
y11 = y10/1.4

IF NOT KEYWORD_SET(xmin) THEN xmin = 0.1 ;microns
IF NOT (KEYWORD_SET(wave) OR KEYWORD_SET(freq)) THEN wave = 1

; Load Symbols
;-------------
@symbols_plots_casey_eric.pro

IF KEYWORD_SET(freq) THEN BEGIN
; Frequencies in GHz When ploted in Frequency 
;--------------------------------------------
    nu850 = 3.e8/(850.*1.e-6)/1.e9
    nu450 = 3.e8/(450.*1.e-6)/1.e9
    nu240 = 3.e8/(240.*1.e-6)/1.e9
    nu160 = 3.e8/(160.*1.e-6)/1.e9
    nu140 = 3.e8/(140.*1.e-6)/1.e9
    nu100 = 3.e8/(100.*1.e-6)/1.e9
    nu070 = 3.e8/(70.*1.e-6)/1.e9
    nu060 = 3.e8/(60.*1.e-6)/1.e9
    nu024 = 3.e8/(24.*1.e-6)/1.e9
    nu024 = 3.e8/(20.*1.e-6)/1.e9
    nu020 = 3.e8/(20.*1.e-6)/1.e9
    nu015 = 3.e8/(15.*1.e-6)/1.e9
    nu010 = 3.e8/(10.*1.e-6)/1.e9
    nu008 = 3.e8/(8.*1.e-6)/1.e9
    nu0058 = 3.e8/(5.8*1.e-6)/1.e9
    nu005 = 3.e8/(5.*1.e-6)/1.e9
    nu0045 = 3.e8/(4.5*1.e-6)/1.e9
    nu0036 = 3.e8/(3.6*1.e-6)/1.e9
    nu0035 = 3.e8/(3.5*1.e-6)/1.e9
    nu0022 = 3.e8/(2.2*1.e-6)/1.e9 
    nu0016 = 3.e8/(1.6*1.e-6)/1.e9
    nu00125 = 3.e8/(1.25*1.e-6)/1.e9
    nu0011 = 3.e8/(1.1*1.e-6)/1.e9
    nu000814 = 3.e8/(0.814*1.e-6)/1.e9
    nu00067 = 3.e8/(0.67*1.e-6)/1.e9
    nu000555 = 3.e8/(0.555*1.e-6)/1.e9
    nu00045 = 3.e8/(0.45*1.e-6)/1.e9
    nu00036 = 3.e8/(0.360*1.e-6)/1.e9
    nu00030 = 3.e8/(0.300*1.e-6)/1.e9
    nu0002365 = 3.e8/(0.2365*1.e-6)/1.e9
    nu0001595 = 3.e8/(0.1595*1.e-6)/1.e9
    nu0001 = 3.e8/(0.1*1.e-6)/1.e9
    nu2000A = 3.e8/(0.200*1.e-6)/1.e9
ENDIF                           ; in frequencies

; Wavelenghts in A
;-----------------
l00030 = 0.300*1.e-6*1.e10
l000555 = 0.555*1.e-6*1.e10
l000814 = 0.814*1.e-6*1.e10
l2000A = 2000.

IF KEYWORD_SET(wave) THEN BEGIN
; Wavelengths in Microns NOW
;---------------------------
    nu850 = 850.
    nu450 = 450.
    nu240 = 450
    nu240 = 240
    nu160 = 160.
    nu140 = 140.
    nu100 = 100.
    nu070 = 70.
    nu060 = 60.
    nu024 = 24.
    nu020 = 20.
    nu015 = 15.
    nu010 = 10.
    nu008 = 8.
    nu0058 = 5.8
    nu005 = 5.
    nu0045 = 4.5
    nu0036 = 3.6
    nu0035 = 3.5
    nu0022 = 2.2
    nu0016 = 1.6
    nu00125 = 1.25
    nu0011 = 1.1
    nu000814 = 0.814
    nu00067 = 0.67
    nu000555 = 0.555
    nu00045 = 0.45
    nu00036 = 0.360
    nu00030 = 0.300
    nu0002365 = 0.2365
    nu000165 = 0.165
    nu0001595 = 0.1595
    nu0001 = 0.1
    nu2000A = 0.200
ENDIF                           ; in wavelengths





; OPLOT M82 SED from Chanial, PhD Thesis
;---------------------------------------
; used in ARAA 2005, not in stacking paper
;RESTORE, path_dat+'m82.xdr'
;nu_m82 = 3.e8*1.e6/sp_m82.wavelength ; in Hz
;lambda_m82 = sp_m82.wavelength  ; microns
;nusnu_m82 = nu_m82*sp_m82.flux * 1.e-26 ; in W m^-2
;norm = 3.3e2
;z = 1.2
;index = 0                       ;1360
;nu_array = nu_m82*1.e-9/(1.+z)
;lambda_array = lambda_m82 * (1.+z)
;nusnu_array = nusnu_m82 * norm
;;;OPLOT, lambda_array(index:*), nusnu_array(index:*), thick=thick_plot, line=5, color=180
;;;xyouts, nu00300, 1.e-10, 'M82', /data, size=charsize, ALIGN=0.5, color=210



; Gamma-Ray Upper Limit Schroedter 2005, ApJ, 628 as gray region
;---------------------------------------------------------------
; wavelength in microns, nuInu in nW m-2sr-1
READCOL, path_dat + 'Schroedter2005.dat', wblz, blz
blz = blz*1.e-9                 ; convert in W m-2 sr-1
IF KEYWORD_SET(freq) THEN wblz = 3.e8/(wblz*1.e-6)*1.e-9 ; now in GHz
;POLYFILL, wblz>xmin, blz<1.e-7, thick=thick_plot, color=200
IF KEYWORD_SET(legend) THEN XYOUTS, 8., y2/1.3, 'VHE Blz', /data, size=charsize_sml, ALIGN=0.5


; DIRBE Wright, 2004, New Astr. Reviews, v48, 465 as grey circles
;----------------------------------------------------------------
; has to be plotted first because of color
usersym, cir, /fill, thick=thick_symbol
wright_w = [nu00125, nu0022, nu0035, nu060, nu100, nu140, nu240]
wright_cib =  [28., 22., 11.5, -8., 12.5, 22., 13.] * 1.e-9
wright_ecib = [15., 6., 3.2, 14.,     5., 7., 2.5] * 1.e-9
oplot, wright_w, wright_cib, psym=8, symsize=symsize, thick=2, color=200
oploterr, wright_w, wright_cib, wright_ecib, 3



; UV: Armand et al., 1994, AA
;----------------------------
;usersym, triup, /fill, thick=thick_symbol
;convert_photontow = 6.63e-34*3.e8*1.e4*1.e10
;cib2000A = 85.*convert_photontow ; 40 to 130
;ecib2000A = 45.*convert_photontow
;oplot, [nu2000A], [cib2000A], psym=8, symsize=symsize
;OPLOTERR, [nu2000A], [cib2000A], [ecib2000A], 3

; UV: Voyager: Edelstein et al, 2000, ApJ
;----------------------------------------
cib0001 = 11 * 1.e-9
ARROW, nu0001, cib0001, nu0001, cib0001/arrow_height, /DATA, /SOLID, thick=thick_plot, HSIZE=hsize, color=purple
x=[-1,1] & y=[0,0]
usersym,x,y
OPLOT, [nu0001], [cib0001], psym=8, symsize=symsize, color=purple

; UV: HST STIS Brown et al, 2000
;-------------------------------
cib0001595 = 14 * 1.e-9
ARROW, nu0001595, cib0001595, nu0001595, cib0001595/arrow_height, /DATA, /SOLID, thick=thick_plot, HSIZE=hsize, color=purple
x=[-1,1] & y=[0,0]
usersym,x,y
OPLOT, [nu0001595], [cib0001595], psym=8, symsize=symsize, color=purple

; UV: HST STIS Gardner et al, 2000
;---------------------------------
cib0001595 = 2.9 * 1.e-9
cib0002365 = 3.6 * 1.e-9

ARROW, nu0001595, cib0001595, nu0001595, cib0001595*arrow_height, /DATA, /SOLID, thick=thick_plot, HSIZE=hsize
ARROW, nu0002365, cib0002365, nu0002365, cib0002365*arrow_height, /DATA, /SOLID, thick=thick_plot, HSIZE=hsize
x=[-1,1] & y=[0,0]
usersym,x,y
OPLOT, [nu0001595], [cib0001595], psym=8, symsize=symsize
OPLOT, [nu0002365], [cib0002365], psym=8, symsize=symsize

; Optical Bernstein R., et al., 2002, ApJ AND Mattila 2003
;---------------------------------------------------------
usersym, cir, /fill, thick=thick_symbol
convert_erg2w = 1.e-3

cib00030 = 4.0 * 1.e-9*l00030*convert_erg2w
cib00030min = (4.0-2.5) * 1.e-9*l00030*convert_erg2w ; min val: Bernstein2002
cib00030max = 9.1 * 1.e-9*l00030*convert_erg2w ; max val: Mattila 2003

cib000555 = 2.7 * 1.e-9*l000555*convert_erg2w
cib000555min = (2.7-1.4) * 1.e-9*l000555*convert_erg2w ; min val: Bernstein2002
cib000555max = 20.7 * 1.e-9*l000555*convert_erg2w ; max val: Mattila 2003

cib000814 = 2.2 * 1.e-9*l000814*convert_erg2w
cib000814min = (2.2-1.0) * 1.e-9*l000814*convert_erg2w ; min val: Bernstein2002
cib000814max = 14.3 * 1.e-9*l000814*convert_erg2w ; max val: Mattila 2003

;oplot, [nu00030], [cib00030], psym=8, symsize=symsize
;errplot, nu00030, cib00030min, cib00030max

;oplot, [nu000555], [cib000555], psym=8, symsize=symsize
;errplot, nu000555, cib000555min, cib000555max

;oplot, [nu000814], [cib000814], psym=8, symsize=symsize
;errplot, nu000814, cib000814min, cib000814max

; Optical HST Madau & Pozzetti, 2000, MNRAS
;------------------------------------------
cib00036 = 2.87*1.e-9
cib00045 = 4.57*1.e-9
cib00067 = 6.74*1.e-9
cib000814 = 8.04*1.e-9
cib0011 = 9.71*1.e-9
cib0016 = 9.02*1.e-9
cib0022 = 7.92*1.e-9

ARROW, nu00036, cib00036, nu00036, cib00036*arrow_height, /DATA, /SOLID, thick=thick_plot, HSIZE=hsize
ARROW, nu00045, cib00045, nu00045, cib00045*arrow_height, /DATA, /SOLID, thick=thick_plot, HSIZE=hsize
ARROW, nu00067, cib00067, nu00067, cib00067*arrow_height, /DATA, /SOLID, thick=thick_plot, HSIZE=hsize
ARROW, nu000814, cib000814, nu000814, cib000814*arrow_height, /DATA, /SOLID, thick=thick_plot, HSIZE=hsize
ARROW, nu0011, cib0011, nu0011, cib0011*arrow_height, /DATA, /SOLID, thick=thick_plot, HSIZE=hsize
ARROW, nu0016, cib0016, nu0016, cib0016*arrow_height, /DATA, /SOLID, thick=thick_plot, HSIZE=hsize
ARROW, nu0022, cib0022, nu0022, cib0022*arrow_height, /DATA, /SOLID, thick=thick_plot, HSIZE=hsize

x=[-1,1] & y=[0,0]
usersym,x,y
OPLOT, [nu00036], [cib00036], psym=8, symsize=symsize
OPLOT, [nu00045], [cib00045], psym=8, symsize=symsize
OPLOT, [nu00067], [cib00067], psym=8, symsize=symsize
OPLOT, [nu000814], [cib000814], psym=8, symsize=symsize
OPLOT, [nu0011], [cib0011], psym=8, symsize=symsize
OPLOT, [nu0016], [cib0016], psym=8, symsize=symsize
OPLOT, [nu0022], [cib0022], psym=8, symsize=symsize

; Thomson 2003, ApJ, 596
;-----------------------
;cib0016 = 7.0*1.e-9
;ARROW, nu0016, cib0016, nu0016, cib0016*arrow_height, /DATA, /SOLID, thick=thick_plot+3, HSIZE=hsize
;x=[-1,1] & y=[0,0]
;usersym,x,y
;OPLOT, [nu0016], [cib0016], psym=8, symsize=symsize

IF KEYWORD_SET(legend) THEN xyouts, nu00067, y7,'HST',/data, size=charsize_sml, ALIGN=0.5


; HESS, Aharonian et al, 2005, Nature, astro-ph/0508073 using P0.55
;-------------------------------------------------------------------
whess = [0.8, 1.0, 1.3, 1.4, 1.55, 2.,   3.,  4.] ; um
IF KEYWORD_SET(freq) THEN whess = 3.e8/(whess*1.e-6)*1.e-9 ; now in GHz
ihess = [11., 12., 13., 13.3, 13.,  12.3, 10., 6.]*1.e-9 ; W m-2 sr-1
oplot, whess, ihess, line=0, thick=thick_plot+3, color=purple

whessmin = 0.8                  ; in microns
whessmax = 4.                   ; in microns
IF KEYWORD_SET(freq) THEN BEGIN
    whessmin = 3.e8 / (whessmin*1.e-6)*1.e-9 ; now in GHz
    whessmax = 3.e8 / (whessmax*1.e-6)*1.e-9 ; now in GHz
ENDIF
ARROW, whessmin, 11e-9, whessmin, 11e-9/arrow_height, /DATA, /SOLID, thick=thick_plot, HSIZE=hsize, color=purple
ARROW, whessmax, 6e-9, whessmax, 6e-9/arrow_height, /DATA, /SOLID, thick=thick_plot, HSIZE=hsize, color=purple
x=[-1,1] & y=[0,0]
usersym,x,y
OPLOT, [whessmin], [11e-9], psym=8, symsize=symsize, color=purple
OPLOT, [whessmax], [6e-9], psym=8, symsize=symsize, color=purple

IF KEYWORD_SET(legend) THEN xyouts, (whessmin+whessmax)/3., y2/1.6, 'HESS', /data, size=charsize_sml, ALIGN=0.5


; IRTS NIR Matsumoto et al., 2004,astro-ph/0411593 
;-------------------------------------------------
READCOL, path_dat+'CFIRB_IRTS_Matsumoto.txt', l_irts, cib_irts, ecib_irts
good = WHERE(l_irts GE 2.1)
l_irts = l_irts(good)
cib_irts = cib_irts(good)
ecib_irts = ecib_irts(good)
nu_irts = 3.e8/(l_irts*1.e-6)*1.e-9
IF KEYWORD_SET(freq) THEN l_irts = nu_irts ; now in GHz
;oplot, l_irts, cib_irts*1.e-9, symsize=symsize, psym=1
;OPLOTERR, l_irts, cib_irts*1.e-9, ecib_irts*1.e-9, 3
IF KEYWORD_SET(legend) THEN xyouts, 3.5, y2, 'IRTS', /data, size=charsize_sml, ALIGN=0.5


; DIRBE NIR Gorjian et al., 2000, ApJ
;------------------------------------
usersym, pentagram, /fill, thick=thick_symbol
cib22 = 22.4e-9
ecib22 = 6.0e-9
cib35 = 11.0e-9
ecib35 = 3.3e-9
oplot, [nu0022], [cib22], psym=8, symsize=symsize
oplot, [nu0035], [cib35], psym=8, symsize=symsize  
OPLOTERR, [nu0022], [cib22], [ecib22], 3
OPLOTERR, [nu0035], [cib35], [ecib35], 3
IF KEYWORD_SET(legend) THEN xyouts, nu0022, y0, 'DIRBE', /data, size=charsize_sml, ALIGN=0.5
IF KEYWORD_SET(legend) THEN xyouts, nu0022, y1, 'Lick/2MASS', /data, size=charsize_sml, ALIGN=0.5 


; DIRBE & 2MASS Wright 2001, ApJ
;-------------------------------
cib22_2 = 20.2e-9
ecib22_2 = 6.3e-9
cib125 = 28.9e-9
ecib125 = 16.3e-9
oplot, [nu0022], [cib22_2], psym=8, symsize=symsize
oplot, [nu00125], [cib125], psym=8, symsize=symsize
OPLOTERR, [nu0022], [cib22_2], [ecib22_2], 3
OPLOTERR, [nu00125], [cib125], [ecib125], 3


; DIRBE: Cambresy et al, 2001 ApJ
;--------------------------------
cib22_3 = 27.8e-9
ecib22_3 = 6.7e-9
cib125 = 54.8e-9
ecib125 = 16.8e-9
oplot, [nu0022], [cib22_3], psym=8, symsize=symsize
oplot, [nu00125], [cib125], psym=8, symsize=symsize
OPLOTERR, [nu0022], [cib22_3], [ecib22_2], 3
OPLOTERR, [nu00125], [cib125], [ecib125], 3


; Gamma-Rays Upper Limit CAT HEGRA on Mkn501 Renault, Barrau et al., 2001, A&A
;------------------------------------------------------------------------------
;cib010 = 3.4e-9
;cib015 = 4.7e-9
;ARROW, nu010, cib010, nu010, cib010/arrow_height, /DATA, /SOLID, thick=thick_plot+3, HSIZE=hsize, color=purple
;ARROW, nu015, cib015, nu015, cib015/arrow_height, /DATA, /SOLID, thick=thick_plot+3, HSIZE=hsize, color=purple
;x=[-1,1] & y=[0,0]
;usersym,x,y
;OPLOT, [nu010], [cib010], psym=8, symsize=symsize, color=purple
;OPLOT, [nu015], [cib015], psym=8, symsize=symsize, color=purple
;%%%%%% Pour cat: je mettrais une limite inf entre 5 et 15 microns a 4.5 nW/m2/sr (cf abstract)
wcat = [5., 10., 15.]           ; um
IF KEYWORD_SET(freq) THEN wcat = 3.e8 / (wcat*1.e-6)*1.e-9
icat = [4.5, 4.5, 4.5]*1.e-9    ; W m-2 sr-1
oplot, wcat, icat, line=0, thick=thick_plot+3, color=purple
ARROW, nu005, 4.5e-9, nu005, 4.5e-9/arrow_height, /DATA, /SOLID, thick=thick_plot, HSIZE=hsize, color=purple
ARROW, nu015, 4.5e-9, nu015, 4.5e-9/arrow_height, /DATA, /SOLID, thick=thick_plot, HSIZE=hsize, color=purple
x=[-1,1] & y=[0,0]
usersym,x,y
OPLOT, [nu005], [4.5e-9], psym=8, symsize=symsize, color=purple
OPLOT, [nu015], [4.5e-9], psym=8, symsize=symsize, color=purple

IF KEYWORD_SET(legend) THEN xyouts, nu010*1.17, y6,'CAT',/data, size=charsize_sml, ALIGN=0.5
IF KEYWORD_SET(legend) THEN xyouts, nu010*1.17, y7,'!mg!x rays',/data, size=charsize_sml, ALIGN=0.5

; Gamma-Rays on Mkn421 Stecker & De Jager, 1997, ApJ
;--------------------------------------------------
cib020 = 4.0e-9
ARROW, nu020, cib020, nu020, cib020/arrow_height, /DATA, /SOLID, thick=thick_plot, HSIZE=hsize, color=purple
x=[-1,1] & y=[0,0]
usersym,x,y
OPLOT, [nu020], [cib020], psym=8, symsize=symsize, color=purple



; Spitzer IRAC Fazio et al., 2004, ApJS 154
;------------------------------------------
cibirac1 = 5.4 *1.e-9
cibirac2 = 3.5 *1.e-9
cibirac3 = 3.6 *1.e-9
cibirac4 = 2.6 *1.e-9

ARROW, nu0036, cibirac1, nu0036, cibirac1*arrow_height, /DATA, /SOLID, thick=thick_plot, HSIZE=hsize
x=[-1,1] & y=[0,0]
usersym,x,y
OPLOT, [nu0036], [cibirac1], psym=8, symsize=symsize
ARROW, nu0045, cibirac2, nu0045, cibirac2*arrow_height, /DATA, /SOLID, thick=thick_plot, HSIZE=hsize
x=[-1,1] & y=[0,0]
usersym,x,y
OPLOT, [nu0045], [cibirac2], psym=8, symsize=symsize
ARROW, nu0058, cibirac3, nu0058, cibirac3*arrow_height, /DATA, /SOLID, thick=thick_plot, HSIZE=hsize
x=[-1,1] & y=[0,0]
usersym,x,y
OPLOT, [nu0058], [cibirac3], psym=8, symsize=symsize
ARROW, nu008, cibirac4, nu008, cibirac4*arrow_height, /DATA, /SOLID, thick=thick_plot, HSIZE=hsize
x=[-1,1] & y=[0,0]
usersym,x,y
OPLOT, [nu008], [cibirac4], psym=8, symsize=symsize

IF KEYWORD_SET(legend) THEN xyouts, nu005, y8, 'IRAC',/data, size=charsize_sml, ALIGN=0.5
IF KEYWORD_SET(legend) THEN xyouts, nu005, y9,'Spitzer',/data, size=charsize_sml, ALIGN=0.5


; Spitzer IRAC Savage & Oliver, 2005, MNRAS
;------------------------------------------
cibirac1 = 10.6 *1.e-9
cibirac2 = 6.4 *1.e-9
cibirac3 = 5.4 *1.e-9
cibirac4 = 3.8 *1.e-9

cibirac1up = (10.6+0.63) *1.e-9
cibirac2up = (6.4+0.97) *1.e-9
cibirac3up = (5.4+1.69) *1.e-9
cibirac4up = (3.8+2.38) *1.e-9
cibirac1down = (10.6-1.95) *1.e-9
cibirac2down = (6.4-1.08) *1.e-9
cibirac3down = (5.4-3.56) *1.e-9
cibirac4down = (3.8-2.29) *1.e-9

usersym, tridown, thick=thick_symbol
OPLOT, [nu0036], [cibirac1], psym=8, symsize=symsize
errplot, nu0036, cibirac1down, cibirac1up
OPLOT, [nu0045], [cibirac2], psym=8, symsize=symsize
errplot, nu0035, cibirac2down, cibirac2up
OPLOT, [nu0058], [cibirac3], psym=8, symsize=symsize
errplot, nu0058, cibirac3down, cibirac3up
OPLOT, [nu008], [cibirac4], psym=8, symsize=symsize
errplot, nu008, cibirac4down, cibirac4up


; ISOCAM 15 microns LW3 From Elbaz 2002
;--------------------------------------
cib015 = 2.7e-9 ; 2.4
ARROW, nu015, cib015, nu015, cib015*arrow_height, /DATA, /SOLID, thick=thick_plot, HSIZE=hsize
x=[-1,1] & y=[0,0]
usersym,x,y
OPLOT, [nu015], [cib015], psym=8, symsize=symsize
IF KEYWORD_SET(legend) THEN xyouts, nu015, y8,'15!mm!xm',/data, size=charsize_sml, ALIGN=0.5
IF KEYWORD_SET(legend) THEN xyouts, nu015, y9,'ISO',/data, size=charsize_sml, ALIGN=0.5


; 24 microns Papovich et al., 2004, ApJS
;---------------------------------------
papovich=0                      ; use =1 to plot papovich points separately
IF papovich EQ 1 THEN BEGIN
    cib024 = 1.9e-9
    ARROW, nu024, cib024, nu024, cib024*arrow_height, /DATA, /SOLID, thick=thick_plot, HSIZE=hsize
    x=[-1,1] & y=[0,0]
    usersym,x,y
    OPLOT, [nu024], [cib024], psym=8, symsize=symsize
    IF KEYWORD_SET(legend) THEN     xyouts, nu024, y12,'24!mm!xm',/data, size=charsize_sml, ALIGN=0.5
    IF KEYWORD_SET(legend) THEN     xyouts, nu024, y13,'Spitzer',/data, size=charsize_sml, ALIGN=0.5
ENDIF


;; DIRBE 140, 240 Lagache et al 2000
;;----------------------------------
;usersym, dia, /fill, thick=thick_symbol
;; IAS WHAM Lagache et al at 140 and 140 microns
;;oplot,[nu240,nu140,nu100],[1.10, 2.42, 2.33]*1.e-8, psym=8, symsize=symsize, thick=2 ; IAS (WHAM)
;;oploterr, [nu240,nu140,nu100],[1.10, 2.42, 2.33]*1.e-8, [0.69, 1.15, 0.63]*1.e-8, 3
;oplot,[nu240,nu140],[1.10, 2.42]*1.e-8, psym=8, symsize=symsize, thick=2 ; IAS (WHAM)
;oploterr, [nu240,nu140],[1.10, 2.42]*1.e-8, [0.69, 1.15]*1.e-8, 3

; New DIRBE 100, 140, 240 Lagache et al 2000 updated in Dole 2005
;-----------------------------------------------------------------
usersym, dia, /fill, thick=thick_symbol
oplot,[nu240,nu140,nu100],[12.25, 12., 14.4]*1.e-9, psym=8, symsize=symsize, thick=2 ; IAS (WHAM)
oploterr, [nu240,nu140,nu100],[12.25, 12., 14.4]*1.e-9, [2.5, 6.9, 6.3]*1.e-9, 3


; DIRBE + CAT Renault 2001 at 100 microns
;----------------------------------------
cib100 = 1.5e-8
ecib100 = cib100*0.21/0.78      ; error bars from Lagache et al 2000
usersym, star, /fill, thick=thick_symbol
oplot, [nu100], [cib100], psym=8, symsize=symsize, thick=2 
OPLOTERR, [nu100], [cib100], [ecib100], 3


; DIRBE Hauser et al., 1998 ApJ at 140 & 240 microns
;---------------------------------------------------
usersym, box, thick=thick_symbol
oplot,[nu240,nu140],[14.,25]*1.e-9, psym=8, symsize=symsize, thick=2 
oploterr,[nu240,nu140], [14.,25.]*1.e-9, [3., 7.]*1.e-9, 3


; Miville-Deschenes et al, 2002 at 60 microns
;--------------------------------------------
usersym, box, thick=thick_symbol
cib060mamd = 9.0e-9             ;0.18*1.e-20*nu060*1.e9
oplot, [nu060], [cib060mamd], psym=8, symsize=symsize, thick=2, color=200
IF KEYWORD_SET(legend) THEN xyouts, nu060, y0,'DIRBE/CAT/IRAS',/data, size=charsize_sml, ALIGN=0.5

; SCUBA 450um Serjeant et al, 2004 ApJS
;--------------------------------------
cib450 = 2.4e-9
ARROW, nu450, cib450, nu450, cib450*arrow_height, /DATA, /SOLID, thick=thick_plot, HSIZE=hsize
x=[-1,1] & y=[0,0]
usersym,x,y
OPLOT, [nu450], [cib450], psym=8, symsize=symsize

; SCUBA Smail et al 2002
;-----------------------
cib850 = 3.e-10
ARROW, nu850, cib850, nu850, cib850*arrow_height, /DATA, /SOLID, thick=thick_plot, HSIZE=hsize
x=[-1,1] & y=[0,0]
usersym,x,y
OPLOT, [nu850], [cib850], psym=8, symsize=symsize
IF KEYWORD_SET(legend) THEN xyouts, nu850/1.8, y12,'850!mm!xm',/data, size=charsize_sml, ALIGN=0.5
IF KEYWORD_SET(legend) THEN xyouts, nu850/1.8, y13,'SCUBA',/data, size=charsize_sml, ALIGN=0.5


; Spectre FIRAS Lagache et al, 2000
;----------------------------------
READCOL, path_dat+'CFIRB_WHAM_LH.dat', lfiras, cibfiras
good = WHERE(lfiras LE 1200.)
lfiras = lfiras(good)
cibfiras = cibfiras(good)
nufiras = 3.e8/lfiras/1.e-6*1.e-9
IF KEYWORD_SET(freq) THEN lfiras = nufiras
OPLOT, lfiras, SMOOTH(cibfiras, 5), thick=thick_plot

goodfiras = WHERE(cibfiras GT 0.)
l_firas = lfiras(goodfiras)
cib_firas = cibfiras(goodfiras)

sortfiras = SORT(l_firas)
l_firas = l_firas(sortfiras)
nuinu_firas = SMOOTH(cib_firas(sortfiras), 7)

IF KEYWORD_SET(legend) THEN xyouts, 4.e2, y2,'200 - 1200!mm!xm',/data, size=charsize_sml, ALIGN=0.5
IF KEYWORD_SET(legend) THEN xyouts, 4.e2, y3,'FIRAS',/data, size=charsize_sml, ALIGN=0.5
;READCOL, 'CFIRB_WHAM_LH.dat', lfiras_lh, cibfiras_lh
;nufiras_lh = 3.e8/lfiras_lh/1.e-6*1.e-9



; Spitzer MIPS Deep Surveys CIB Resolution
;-----------------------------------------
; Resolved Background from Papovich et al.(2004, ApJS)
;----------------------------------------------------- 
;cib024 = 1.9 * 1.e-9            ; Wm-2sr-1
cib024 = 2.125 * 1.e-9          ; Wm-2sr-1
ecib024 = 0.6 * 1.e-9

; Resolved Background from Dole et al. (2004, ApJS)
;--------------------------------------------------
cib070 = 0.95 * 1.e-9           ; Wm-2sr-1
ecib070 = 0.

cib160 = 1.4 * 1.e-9            ; Wm-2sr-1
ecib160 = 0.

; CIB Resolved by Stacking Analysis Dole et al 2006 A&A
;------------------------------------------------------
cib0702 = 5.9 * 1.e-9
cib1602 = 10.7 * 1.e-9

; New CIB estimates using extrapolated 24um counts, Stacking and Extrapolation, Dole et al 2006 A&A
;--------------------------------------------------------------------------------------------------
cib0243 = 2.7 * 1.e-9
cib0703 = 7.1 * 1.e-9
cib1603 = 13.4 * 1.e-9
;Same story, but differential for Histograms
cibmips=[2.125, 5.9, 10.7]
cib2mips=[0.58, 1.2, 2.6]



; CIB Resolved by Current GTO Surveys Papovich et al 2004; Dole et al, 2004.
;---------------------------------------------------------------------------
ARROW, nu024, cib024, nu024, cib024*arrow_height, /DATA, /SOLID, thick=thick_plot, HSIZE=hsize
x=[-1,1] & y=[0,0]
usersym,x,y
OPLOT, [nu024], [cib024], psym=8, symsize=symsize



; CIB Resolved by Stacking Analysis Dole et al 2006 A&A
;------------------------------------------------------
;ARROW, nu070, cib0702, nu070, cib0702*arrow_height, /DATA, /SOLID, thick=thick_plot, HSIZE=hsize, color=red
x=[-1,1] & y=[0,0]
usersym,x,y
;OPLOT, [nu070], [cib0702], psym=8, symsize=symsize, color=red

;ARROW, nu160, cib1602, nu160, cib1602*arrow_height, /DATA, /SOLID, thick=thick_plot, HSIZE=hsize, color=red
x=[-1,1] & y=[0,0]
usersym,x,y
;OPLOT, [nu160], [cib1602], psym=8, symsize=symsize, color=red




; CIB Value at 24 and lower limits, 70 and 160 in Dole et al, 2006, A&A
;-----------------------------------------------------------------------
usersym, box, /fill, thick=thick_symbol
OPLOT, [nu024], [cib0243], psym=8, symsize=symsize, color=blue

ARROW, nu070, cib0703, nu070, cib0703*arrow_height, /DATA, /SOLID, thick=thick_plot, HSIZE=hsize, color=blue
x=[-1,1] & y=[0,0]
usersym,x,y
OPLOT, [nu070], [cib0703], psym=8, symsize=symsize, color=blue

ARROW, nu160, cib1603, nu160, cib1603*arrow_height, /DATA, /SOLID, thick=thick_plot, HSIZE=hsize, color=blue
x=[-1,1] & y=[0,0]
usersym,x,y
OPLOT, [nu160], [cib1603], psym=8, symsize=symsize, color=blue


IF KEYWORD_SET(legend) THEN xyouts, nu024, y8bis, '24!mm!xm',/data, size=charsize_sml, ALIGN=0.5
IF KEYWORD_SET(legend) THEN xyouts, nu024, y9bis, 'MIPS',/data, size=charsize_sml, ALIGN=0.5
IF KEYWORD_SET(legend) THEN xyouts, nu024, y9ter,'Spitzer',/data, size=charsize_sml, ALIGN=0.5
IF KEYWORD_SET(legend) THEN xyouts, nu070, y8bis, '70!mm!xm',/data, size=charsize_sml, ALIGN=0.5
IF KEYWORD_SET(legend) THEN xyouts, nu070, y9bis, 'MIPS',/data, size=charsize_sml, ALIGN=0.5
IF KEYWORD_SET(legend) THEN xyouts, nu070, y9ter,'Spitzer',/data, size=charsize_sml, ALIGN=0.5
IF KEYWORD_SET(legend) THEN xyouts, nu160, y8bis, '160!mm!xm',/data, size=charsize_sml, ALIGN=0.5
IF KEYWORD_SET(legend) THEN xyouts, nu160, y9bis, 'MIPS',/data, size=charsize_sml, ALIGN=0.5
IF KEYWORD_SET(legend) THEN xyouts, nu160, y9ter,'Spitzer',/data, size=charsize_sml, ALIGN=0.5

; CIB Values at 70 and 160 from Dole et al, 2006/7 Nature, Subm
;---------------------------------------------------------------
cib070 = 8.6 * 1.e-9            ; Wm-2sr-1
ecib070plus = 2.2
ecib070minus = 1.3

cib160 = 16.8 * 1.e-9           ; Wm-2sr-1
ecib160plus = 3.3
ecib160minus = 2.4

usersym, box, /fill, thick=thick_symbol
OPLOT, [nu070], [cib070], psym=8, symsize=symsize, color=blue
OPLOT, [nu070, nu070], cib070+[-ecib070minus, ecib070plus], symsize=symsize, color=blue

usersym, box, /fill, thick=thick_symbol
OPLOT, [nu160], [cib160], psym=8, symsize=symsize, color=blue
OPLOT, [nu160, nu160], cib160+[-ecib160minus, ecib160plus], symsize=symsize, color=blue

END

