;+
; NAME:
;    cmb_sed_oplot
;
; PURPOSE:
;   overplot CMB SED
;
; CATEGORY:
;
;
; CALLING SEQUENCE:
;
; 
; INPUTS:
;
;
; OPTIONAL INPUTS
;
;	
; KEYWORD PARAMETERS:
;
;
; OUTPUTS:
;
; PROCEDURE:
;
;
;
; EXAMPLE:
;
;
;
; MODIFICATION HISTORY:
;    06-Dec-2006 Written Herve Dole, IAS
;-
PRO cmb_sed_oplot, color=color, wave=wave, freq=freq

COMMON plot_ebl, thick_plot, arrow_height, hsize

IF NOT (KEYWORD_SET(wave) OR KEYWORD_SET(freq)) THEN wave = 1


wplanck = 10.^(dindgen(1000)/100.-2. ) ; in microns
nuplanck = 3.e8/(wplanck*1.e-6)*1.e-9 ; in GHz
sed_cmb = PLANCK(2.735, wplanck, UNITS='M', /WCM2) ; in W/cm2/sr
sed_cmb = sed_cmb * 1.e4        ; now in W m-2 sr-1

IF KEYWORD_SET(freq) THEN wplanck = nuplanck


OPLOT, wplanck, sed_cmb, thick=thick_plot


END
