;+
; NAME:
;    uvb_sed_oplot
;
; PURPOSE:
;   overplot SED of the UV Extragalactic Background
;
; CATEGORY:
;
;
; CALLING SEQUENCE:
;
; 
; INPUTS:
;
;
; OPTIONAL INPUTS
;
;	
; KEYWORD PARAMETERS:
;
;
; OUTPUTS:
;
; PROCEDURE:
;
;
;
; EXAMPLE:
;
;
;
; MODIFICATION HISTORY:
;    07-Dec-2006 Written Herve Dole, IAS
;-
PRO uvb_sed_oplot, color=color, wave=wave, freq=freq

COMMON plot_ebl, thick_plot, arrow_height, hsize

; Data from Xu et al., 2005, ApJL, 619, 11
;-----------------------------------------
w_uv =  [1530., 2310.]*1.e-4    ; in microns
nu_uv = 3.e8/(w_uv*1.e-6)*1.e-9

sed_uv = [0.68, 0.99]*1.e-9     ;in W/m2/sr
esed_uv = [0.10, 0.15]*1.e-9    ;in W/m2/sr

; UV Bkg from Xu model
;---------------------
sed_uv_model =  [1.03, 2.25]*1.e-9 ; in W/m2/sr
esed_uv_model = [0.15, 0.32]*1.e-9 ; in W/m2/sr

nelt = N_ELEMENTS(w_uv)

IF KEYWORD_SET(freq) THEN BEGIN
    w_uv = nu_uv
ENDIF

; Actual oplot
;--------------
FOR i=0, nelt -1 DO BEGIN
    ARROW, w_uv(i), sed_uv(i), w_uv(i), sed_uv(i)*arrow_height, /DATA, /SOLID, HSIZE=hsize
    OPLOT, [w_uv(i), w_uv(i)], sed_uv_model(i)+esed_uv_model(i)*[-1., 1.]/2.
ENDFOR




END
